Skip to main content

Visa Bill Payments


This section shows you how to process a Visa Bill Payment authorization. After a successful authorization, you can process the capture. After a successful capture, you can process a follow-on refund.

Supported Processors

  • Chase Paymentech Solutions
  • Chase Tandem
  • FDC Compass
  • FDC Nashville Global
  • FDMS Nashville
  • GPN
  • TSYS Acquiring Solutions
  • Chase Paymentech Solutions
  • FDC Nashville Global
  • TSYS Acquiring Solutions
  • TSYS Acquiring Solutions

Field Specific to This Use Case

Include this field in a standard authorization request for a Visa Bill Payment:

  • processingInformation.authorizationOptions.billPayment: set the field to true.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Smith",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Jane",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "usd"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "CARD_NUMBER",            "expirationMonth": "12",            "type": "001"        }    },    "processingInformation": {        "authorizationOptions": {            "billPayment": "true"        }    }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6703681963696557903954/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6703681963696557903954"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6703681963696557903954/captures"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "6703681963696557903954",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "102.21",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "62246404OAIKS5EN",  "status": "AUTHORIZED"}
{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "errorInformation": {    "reason": "PROCESSOR_ERROR",    "message": "Invalid account"  },  "id": "6583553837826789303954",  "paymentInsightsInformation": {    "responseInsights": {      "categoryCode": "01",      "category": "ISSUER_WILL_NEVER_APPROVE"    }  },  "processorInformation": {    "systemTraceAuditNumber": "004544",    "merchantNumber": "1231231222",    "networkTransactionId": "431736869536459",    "transactionId": "431736869536459",    "responseCode": "111",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "status": "DECLINED"}

Required Fields

These fields are required when processing a Visa Bill Payment authorization.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.authorizationOptions.billPaymentSet the value to true.

Last published: September 29, 2026